
// import edu.cmu.cs.dennisc.scenegraph.*;
import javax.swing.tree.*;
import org.alice.apis.moveandturn.*;

public class Window extends javax.swing.JFrame {

    public Window() {
        initComponents();
    }
    
    DefaultTreeModel model;
    DefaultMutableTreeNode act;
    
    public void open (Object s)
    {
        DefaultMutableTreeNode node = new DefaultMutableTreeNode (s);
        if (model == null)
        {
            model = new DefaultTreeModel (node);
            jTree1.setModel (model);
        }
        else
        {
            int inx = act.getChildCount();
            model.insertNodeInto (node, act, inx);
        }
        act = node;
    }
    
    public void put (Object s)
    {
        DefaultMutableTreeNode node = new DefaultMutableTreeNode (s);
        int inx = act.getChildCount();
        model.insertNodeInto (node, act, inx);
    }

    public void close ()
    {
       act = (DefaultMutableTreeNode) act.getParent();
    }
    
    public void detail (Composite c)
    {
        // import org.alice.apis.moveandturn.*;
        open (c.getName());
        Transformable [] a = c.getComponents();
        for (Transformable t : a)
        {
            if (t instanceof Composite)
                detail ( (Composite) t );
        }
        close ();
    }
    
    public void info (Composite c)
    {
        // import org.alice.apis.moveandturn.*;
        detail (c);
    }

    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        jTree1 = new javax.swing.JTree();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jScrollPane1.setViewportView(jTree1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 830, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 543, Short.MAX_VALUE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTree jTree1;
    // End of variables declaration//GEN-END:variables
}
